/// <reference types="node" />
import { ClientProvider, ClientUtils, HttpClient } from "@scramjet/client-utils";
import { ManagerClient } from "@scramjet/api-client";
import { DeepPartial, LoadCheckStat, ManagerConfiguration, MMRestAPI } from "@scramjet/types";
export declare class MultiManagerClient implements ClientProvider {
    client: HttpClient;
    apiBase: string;
    constructor(apiBase: string, utils?: ClientUtils);
    getManagerClient(id: string, managerApiBase?: string): ManagerClient;
    startManager(config: DeepPartial<ManagerConfiguration>, managersApiBase?: string): Promise<ManagerClient>;
    getManagers(): Promise<MMRestAPI.GetManagersResponse>;
    getVersion(): Promise<MMRestAPI.GetVersionResponse>;
    getLoad(): Promise<LoadCheckStat>;
    getLogStream(): Promise<import("stream").Readable>;
    getInfo(): Promise<MMRestAPI.GetInfoReposnse>;
}
