"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiManagerClient = void 0;
const client_utils_1 = require("@scramjet/client-utils");
const api_client_1 = require("@scramjet/api-client");
class MultiManagerClient {
    constructor(apiBase, utils = new client_utils_1.ClientUtils(apiBase)) {
        this.apiBase = apiBase.replace(/\/$/, "");
        this.client = utils;
    }
    getManagerClient(id, managerApiBase = "/api/v1") {
        return new api_client_1.ManagerClient(this.apiBase + "/cpm/" + id + managerApiBase);
    }
    async startManager(config, managersApiBase = "/api/v1") {
        const startResponse = await this.client.post("start", {
            manager: config,
        }, {
            headers: { "content-type": "application/json" },
        }, { json: true, parse: "json" });
        return new api_client_1.ManagerClient(this.apiBase + "/cpm/" + startResponse.id + managersApiBase);
    }
    async getManagers() {
        return this.client.get("list");
    }
    async getVersion() {
        return this.client.get("version");
    }
    async getLoad() {
        return this.client.get("load");
    }
    async getLogStream() {
        return this.client.getStream("log");
    }
    async getInfo() {
        return this.client.get("info");
    }
}
exports.MultiManagerClient = MultiManagerClient;
//# sourceMappingURL=multi-cpm-client.js.map